---
apiVersion: stackgres.io/v1
kind: SGCluster
metadata:
  name: "{{ k8s_stgop_dbname }}"
  namespace: "{{ k8s_stgop_namespace }}"
spec:
  instances: {{ k8s_stgop_instances }}
  sgInstanceProfile: "{{ k8s_stgop_instanceprofile }}"
  profile: "{{ k8s_stgop_profile}}"
  postgres:
    version: "{{ k8s_stgop_pg_version}}"
{% if k8s_stgop_timescale|bool %}
    extensions:
      - {{ '{' }} name: 'timescaledb_tsl', version: '{{ k8s_stgop_timescale_version }}' {{ '}' }}
{% endif %}
  pods:
    persistentVolume:
      size: "{{ k8s_stgop_storagesize }}"
      storageClass: "{{ k8s_stgop_storageclass }}"
  configurations:
    sgPostgresConfig: "{{ k8s_stgop_dbname }}-conf"
  postgresServices:
    primary:
      enabled: true
      type: "{{ k8s_stgop_primary_service }}"
    replicas:
      enabled: true
      type: "{{ k8s_stgop_replica_service }}"
